apply plugin: 'com.android.application'
apply plugin: 'com.google.gms.google-services'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'org.jetbrains.kotlin.android'
android {
    namespace("cpm.com.gskmtorange")
    compileSdk 36

    lintOptions {
        checkReleaseBuilds false
        disable 'MissingTranslation'
        abortOnError false
    }


    configurations {
       // all*.exclude module: 'okio'
        //all*.exclude group: 'com.squareup.okhttp3', module: 'okhttp'
        all*.exclude module: 'support-v4' // This removes all other versions of `support-v4` if gets duplicated from all the artifacts.
    }

    defaultConfig {
        multiDexEnabled true
        useLibrary 'org.apache.http.legacy'
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        applicationId "cpm.com.gskmtorange"
        minSdkVersion 26
        targetSdk(34)

       // For Lebanon
        /*versionCode 1
        versionName "1.0"*/
        //For Egypt
        versionCode 39
        versionName "5.0"
        //For UAE
        /*versionCode 29
        versionName "4.1"*/
        //For Turkey
       /* versionCode 34
        versionName "4.6"*/
        //For Turkey
         /*versionCode 32
         versionName "4.4"*/
        //For KSA
        /*versionCode 28
        versionName "4.0"*/

      //  adding price facing
       /* versionCode 27
        versionName "3.8"*/
        //sa
       /* versionCode 28
        versionName "3.9"*/
       /* //Kenya
        versionCode 2
        versionName "1.1"*/
        //kenya-lite
       /* versionCode 2
        versionName "1.1"*/
        //nigeria
         /*versionCode 1
         versionName "1.0"*/
        //For jordan
         /* versionCode 7
          versionName "1.6"*/
        //For Kuwait
          /*versionCode 1
          versionName "1.0"*/
        //For Bahrain
        /*versionCode 1
        versionName "1.0"*/
         //For QATAR
        /*versionCode 1
        versionName "1.0"*/
        //For Libya
        /*versionCode 3
        versionName "1.2"*/
        //For Oman
        /*versionCode 1
        versionName "1.0"*/
        ndk {abiFilters "armeabi-v7a", "arm64-v8a"}
    }

    signingConfigs {
        config {
            keyAlias 'hp'
            keyPassword 'android'
            storeFile file('D:\\jeevanp_cpm_projects\\keystore\\hp.dat')
            storePassword 'android'
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            debuggable true
            signingConfig signingConfigs.config
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro', 'proguard-camera-lib.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    firebaseCrashlytics {
        nativeSymbolUploadEnabled true
    }

    buildFeatures {
        viewBinding = true
    }

    packagingOptions {
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/gradle/incremental.annotation.processors'
        exclude 'META-INF/AL2.0'
        exclude 'META-INF/LGPL2.1'
    }
    kotlin {
        jvmToolchain(17)
    }
}

dependencies {
    implementation 'androidx.activity:activity-ktx:1.13.0'
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation files('libs/ksoap2-android-assembly-3.0.0-jar-with-dependencies.jar')
   // implementation files('libs/ksoap2-android-assembly-3.6.4.jar')
   // implementation files('libs/ksoap2-android-3.3.0.jar')
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.google.android.material:material:1.12.0'
    implementation project(path: ':library')
    implementation 'androidx.constraintlayout:constraintlayout:2.2.1'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.activity:activity:1.10.1'
    implementation 'androidx.appcompat:appcompat:1.7.1'
    testImplementation 'junit:junit:4.13.2'
    testImplementation 'org.mockito:mockito-core:4.11.0'
    testImplementation 'org.mockito:mockito-android:4.11.0'
    testImplementation 'org.robolectric:robolectric:4.10.3'
    implementation "androidx.navigation:navigation-fragment-ktx:2.9.0"
    androidTestImplementation "androidx.test:core:1.6.1"
    androidTestImplementation "androidx.test:espresso:espresso-core:3.5.1"
    androidTestImplementation "androidx.test.ext:junit:1.2.1"
    androidTestImplementation "androidx.test:annotation:1.0.1"
    implementation 'com.google.code.gson:gson:2.11.0'
    implementation 'com.github.bumptech.glide:glide:4.16.0'

   implementation platform('com.google.firebase:firebase-bom:33.14.0')
    implementation 'com.google.firebase:firebase-crashlytics'
    implementation 'com.google.firebase:firebase-messaging'
    implementation 'com.google.android.gms:play-services-location:21.3.0'
    implementation 'com.google.android.gms:play-services-maps:19.2.0'
    implementation 'com.google.firebase:firebase-analytics:22.4.0'
    implementation 'com.google.firebase:firebase-appindexing:20.0.0'
  //  implementation 'com.google.firebase:firebase-crashlytics:19.4.3'
    implementation 'com.google.firebase:firebase-auth:23.2.1'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit:converter-gson:2.0.0-beta1'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.squareup.okhttp3:okhttp:4.12.0'
    implementation(platform("org.jetbrains.kotlin:kotlin-bom:1.8.22"))
    implementation 'androidx.multidex:multidex:2.0.1'
    // Main SDK dependency
   // implementation("com.github.pratham-PDots:camera_lib:1.5.1.1")
   // implementation("com.github.pratham-PDots:camera_lib:1.5.3.2")
  //  implementation("com.github.pratham-PDots:camera_lib:1.5.4.5")
    //latest
    implementation("com.github.pratham-PDots:camera_lib:1.5.4.9")
    implementation 'com.github.miteshpithadiya:SearchableSpinner:master'
    implementation "androidx.core:core-splashscreen:1.0.1"
    implementation "androidx.media3:media3-exoplayer:1.3.1"
    implementation "androidx.media3:media3-ui:1.3.1"
}


